About Sales Document Consolidation

Use Sales Document Consolidation (SDC) to merge sales documents by various criteria, such as document ID, document type, or customer name. SDC is a flexible solution that can be customized to meet your specific document merging needs.

Also, if you currently use SDC with Multi-Entity Management, you can select different types of sales documents based on their entity ID and merge them. After the documents are merged, you can view or restore them by entity ID.

For the latest documentation, visit the Binary Stream Portal (https://portal.binarystream.com/) External link.

From version 1.50.0.0 onwards, PLM supports New Zealand and GB/United Kingdom localization.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.
The topic is incomplete.
Could not find the right topic.

Send us your suggestions on how to improve this article.

C H M Footer Table
Binary Stream Portal Copyright © 2025 Binary Stream Software Inc.


What's New or Changed

Review the information on this screen to see what's new or changed in the latest versions of Sales Document Consolidation. For the most current information about the latest version, see the Readme file that is included with the installation file.

Notes:

  • If a GP Navigation Path is noted, see the Microsoft Dynamics GP documentation for more information.
  • If a New Form/Report is noted, the issue or enhancement has one or more new windows (forms), reports, or both.

An alternate window (form) or report is one that has been modified by the software. A custom window or report is one that is proprietary to the software. Microsoft Dynamics GP does not have on its own version of the window (form) or report.

To use the alternate window (form) or report for your Binary Stream software, use the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).

Also, to ensure that you have set the appropriate security settings, use the Security Tasks window (GP > Tools > Setup > System > Security Tasks) to add the windows (forms) or reports to a new or existing task ID. The task ID should be selected within a new or existing security role ID for each user ID and company that will use the new custom windows (forms) or reports. Remember to use the following settings: Type is Windows or Reports, and Series is Project.

2025

Closed Build 1401 (October 2025) for Microsoft Dynamics GP 18.8
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgraded from GP2018.7 to GP2018.8. | N/A | N/A | N/A

2024

Closed Build 1301 (October 2024) for Microsoft Dynamics GP 18.7
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgraded from GP2018.6 to GP2018.7 | N/A | N/A | N/A

2023

Closed Build 1201 (October 2023) for Microsoft Dynamics GP 18.6
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgraded from GP 2018.5 to GP 18.6. | N/A | N/A | N/A
Closed Build 1102 (March 2023) for Microsoft Dynamics GP 18.5
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Issue Fix : Fixed the issue of wrong distribution error when multiple documents with AVALARA taxes are consolidated. Added a new option "Separate Distribution" on the SDC Setup which will allow the user to show the distributions as separated or consolidated on the consolidated SOP documents. | Tools > Utilities > Sales Document Consolidation > Consolidate Sales Documents |  | Added new field BSSI_Create_SeparateDist in table BSSI_Document_Merge_Setup (B0304000).

2022

Closed Build 1101 (November 2022) for Microsoft Dynamics GP 18.5
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgraded from GP 2018.4(Build 1002) to GP 18.5. |  |  |
Closed Build 1002 (January 2022) for Microsoft Dynamics GP 18.4
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
When merging two sales documents with different accounts, the distribution in the consolidated sales document was incorrect. This issue is fixed such that the consolidated sales document contains all different accounts from the source documents. | Tools > Utilities > Sales Document Consolidation > Consolidate Sales Documents |  |

2021

Closed Build 1001 (December 2021) for Microsoft Dynamics GP 18.4
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgraded from GP 2018.3 (Build 903) to GP 18.4. |  |  |
Closed Build 903 (May 2021) for Microsoft Dynamics GP 18.3
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Issue Fix : When consolidating multiple sales documents that have markdown amounts, the resulting consolidated sales document had an incorrectly calculated markdown amount. | Tools > Utilities > Sales Document Consolidation > Consolidate Sales Documents |  |
Closed Build 802 (May 2021) for Microsoft Dynamics GP 18.2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Issue Fix : When consolidating multiple sales documents that have markdown amounts, the resulting consolidated sales document had an incorrectly calculated markdown amount. | Tools > Utilities > Sales Document Consolidation > Consolidate Sales Documents |  |
Closed Build 902 (January 2021) for Microsoft Dynamics GP 18.3
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed Issue : Fixed an Issue related to showing warning message for remaining days in expiration of trial keys. |  |  |
Updated the company address in the About Binary Stream Dialog. |  |  |

2020

Closed Build 901 (December 2020) for Microsoft Dynamics GP 18.3
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgrade from Microsoft Dynamics GP 2018 R2 (Build 705) to Microsoft Dynamics GP 18.2. |  |  |
Closed Build 801 (January 2020) for Microsoft Dynamics GP 18.2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgrade from Microsoft Dynamics GP 2018 R2 (Build 705) to Microsoft Dynamics GP 18.2. |  |  |

2018

Closed Build 705 (November 2018) for Microsoft Dynamics GP 2018 R2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: System
Upgraded from GP2018 SP0 (Build 704) to GP2018 R2 (Build 705). |  |  |
Closed Build 704 (August 2018) for Microsoft Dynamics GP 2018
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: System
Fixed an issue with consolidated documents not being inserted into a custom third-party integration table if invoice transferred from back order document type. |  |  |
Closed Build 703 (June 2018) for Microsoft Dynamics GP 2018
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: System
Fixed an issue with consolidated documents not being inserted into a custom third-party integration table if certain conditions are met. |  |  |
Closed Build 702 (April 2018) for Microsoft Dynamics GP 2018
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: System
Fixed a SQLerror message issue with Encore caused by sales tax entry. |  |  |
Closed Build 701 (March 2018) for Microsoft Dynamics GP 2018
Issues Fixed
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project

Improved performance by removing document consolidation options. The following options have been removed:

  • Enable Document Date Consolidation option on the Customer Maintenance window
  • Enable Document Date Consolidation option on the Main Setup window
  • Doc Date Consolidation option on the Consolidate Sales Document window
Improve performance of consolidation when the 'Separate Line Items' option is enabled. | Tools > Utilities > Sales Document Consolidation > Consolidate Sales Documents
GP Series: System
Upgraded from GP 2016 (Build 605) to GP2018 SP0 (Build 701).

2017

Closed Build 605 (October 2017) for Microsoft Dynamics GP 2016
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue with not deleting extender record for consolidating SOP documents. |  |  |
Fixed issue with losing Entity ID for consolidating SOP docs. |  |  |
Closed Build 508 (September 2017) for Microsoft Dynamics GP 2015 R2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue with losing entity ID for consolidating SOP docs. |  |  |
Closed Build 507 (June 2017) for Microsoft Dynamics GP 2015 R2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue with not deleting extender record for consolidating SOP documents. |  |  |
Closed Build 604 (February 2017) for Microsoft Dynamics GP 2016
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed an issue with SQL script for list view user preference functionality. |  |  |

2016

Closed Build 603 (November 2016) for Microsoft Dynamics GP 2016
  • Project
    • Added a User Preference window to show, hide, and sort the columns within a list view. The window also allows you to restore the default program settings for the list view. The settings are saved for each individual user.
Closed Build 506 (November 2016) for Microsoft Dynamics GP 2015 R2
  • Project
    • Added a User Preference window to show, hide, and sort the columns within a list view. The window also allows you to restore the default program settings for the list view. The settings are saved for each individual user.
Closed Build 605 (October 2017) for Microsoft Dynamics GP 2016
  • Project
    • Re-designed the Sales Document Consolidation Setup window
      Path: Tools > Setup > Sales Document Consolidation > Sales Document Consolidation Setup
Closed Build 602 (September 2016) for Microsoft Dynamics GP 2016
  • Project
    • On the Consolidate Sales Document window, added Use Document Filter Table. This option limits the number of documents that appear in the scrolling window to only the documents that are in the B0350100 table and that match the other search criteria selected.
      Path: Tools > Utilities > Sales Document Consolidation > Consolidate Sales Documents
      Database Changes: New table (B0350100)
Closed Build 505 (September 2016) for Microsoft Dynamics GP 2015 R2
  • Project
    • On the Consolidate Sales Document window, added Use Document Filter Table. This option limits the number of documents that appear in the scrolling window to only the documents that are in the B0350100 table and that match the other search criteria selected.
      Path: Tools > Utilities > Sales Document Consolidation > Consolidate Sales Documents
      Database Changes: New table (B0350100)
Closed Build 410 (September 2016) for Microsoft Dynamics GP 2013 R2
  • Project
    • On the Consolidate Sales Document window, added Use Document Filter Table. This option limits the number of documents that appear in the scrolling window to only the documents that are in the B0350100 table and that match the other search criteria selected.
      Path: Tools > Utilities > Sales Document Consolidation > Consolidate Sales Documents
      Database Changes: New table (B0350100)
Closed Build 601 (June 2016) for Microsoft Dynamics GP 2016
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgraded from Microsoft Dynamics GP 2015 R2 (Build 504) to Microsoft Dynamics GP 2016 SP0 (Build 601). |  |  |

2015

Closed Build 504 (December 2015) for Microsoft Dynamics GP 2015 R2
  • Project
    • Improved performance of the consolidation process, specifically concerning the General Beverage custom process.
      Path: Tools > Utilities > Sales Document Consolidation > Consolidate Sales Documents
Closed Build 409 (December 2015) for Microsoft Dynamics GP 2013 R2
  • Project
    • Improved performance of the consolidation process, specifically concerning the General Beverage custom process.
      Path: Tools > Utilities > Sales Document Consolidation > Consolidate Sales Documents
Closed Build 503 (August 2015) for Microsoft Dynamics GP 2015 R2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgraded from GP 2015 (Build 502) to GP 2015 R2. |  |  |
Closed Build 408 (July 2015) for Microsoft Dynamics GP 2013 R2
  • Project
    • On the Sales Document Consolidation Setup window, added the option to add Originating SOP Number to the Comment boxes in the header and in a line.
      Path: Tools > Setup > Sales Document Consolidation > Sales Document Consolidation Setup
Closed Build 407 (June 2015) for Microsoft Dynamics GP 2013 R2
  • Project
    • Added additional fields to General Beverage tables and scripts.
      Database changes: B0301000
Closed Build 406 (June 2015) for Microsoft Dynamics GP 2013 R2
  • Project
    • Added account substitution functionality to the consolidated invoice if Multi-Entity Management is installed and account substitution is turned on in Multi-Entity Management.
      Path: Tools > Utilities > Sales Document Consolidation > Consolidate Sales Documents
Closed Build 405 (June 2015) for Microsoft Dynamics GP 2013 R2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: System
Improved performance of the consolidation process. | Tools > Utilities > Sales Document Consolidation > Consolidate Sales Documents |  |
Closed Build 404 (May 2015) for Microsoft Dynamics GP 2013 R2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: System
Fixed the issue with SOP batch for the consolidated documents when MEM is installed. | Tools > Utilities > Sales Document Consolidation > Sales Document Consolidate |  |
Closed Build 501 (February 2015) for Microsoft Dynamics GP 2015
  • Project
    • Upgraded from GP 2013 SP2 to 2015 SP0.

2014

Closed Build 403 (December 2014) for Microsoft Dynamics GP 2013 R2
  • Project
    • Added the Extender check box on the Sales Document Consolidation Setup window to turn on or off the integration with Extender.
      Path: Tools > Setup > Sales Document Consolidation > Sales Document Consolidation Setup
Closed Build 402 (November 2014) for Microsoft Dynamics GP 2013 R2
  • Project
    • Added Exclude On-Hold Document check box on the Consolidate Sales Documents window.
      Path: Tools > Utilities > Sales Document Consolidation > Sales Document Consolidate
    • Added integration with Load Planner.
      Path: Tools > Utilities > Sales Document Consolidation > Sales Document Consolidate
    • Added integration with Extender for new window ID SLSPRCEVAL.
      Path: Tools > Utilities > Sales Document Consolidation > Sales Document Consolidate
Closed Build 401 (August 2014) for Microsoft Dynamics GP 2013 R2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: System
Upgraded from GP2013 SP2 (Build 307) to GP2013 R2. |  |  |
Closed Build 307 (July 2014) for Microsoft Dynamics GP 2013 SP2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed an issue with not displaying any records in the Consolidated Sales Documents Inquiry when manually enter From/To range. | Inquiry>Sales Document Consolidation>Consolidated Sales Documents |  |
Closed Build 306 (May 2014) for Microsoft Dynamics GP 2013 SP2
  • Project
    • Added Enable Document Date Consolidation to the Sales Document Consolidation Setup window. When this option is selected the Consolidate by Document Date check box appears on the Customer Maintenance window. Also, on the Consolidate Sales Documents window, a Doc Date Consolidation option is available.
      The Consolidate by Document Date option affects how documents are processed during consolidation.

      Database Changes:
      Created new table, BSSI_Customer_MSTR (B0300102)
      Added BSSI_EnableDocConsold column to BSSI_Document_Merge_Setup table (B0304000)

      Path: Tools > Utilities > Sales Document Consolidation > Sales Document Consolidate
      Tools > Utilities > Sales Document Consolidation > Consolidate Sales Documents
      Cards > Sales > Customer Maintenance
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed error regarding duplicate keys on BSSI SDC Customer table when using the Customer Combiner PSTL procedure. | PSTL Area Page > PSTL Main Setup |  |
Closed Build 305 (May 2014) for Microsoft Dynamics GP 2013 SP2
  • Project
    • Modified existing integration with Extender to also support the changes made to Extender tables and primary keys in Extender 2013.
Closed Build 304 (February 2014) for Microsoft Dynamics GP 2013 SP2
  • Project
    • Added functionality to merge the associated Encore Project tracking information to the consolidated SOP document.
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Added functionality to merge the associated Encore Project tracking information to the consolidated SOP document. |  |  |

2013

Closed Build 303 (November 2013) for Microsoft Dynamics GP 2013 SP2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Compatible with GP2013SP2 |  |  |
Closed Build 302 (June 2013) for Microsoft Dynamics GP 2013 SP1
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed an issue with Sales Document Consolidation Inquiry Window performance when user changes from one range field to another |  |  |
Fixed an issue with the "Invalid date" error on the Edit List for the consolidated SOP document resulted by empty Due Date on the Sales Payment Terms Entry window. | Tools > Utilities > Sales Document Consolidation > Sales Document Consolidate |  |
Closed Build 301 (May 2013) for Microsoft Dynamics GP 2013 SP1
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: System
Upgraded from GP 2010 SP2 (Build 228) to GP 2013 SP1. |  |  |

See also

Known Issues and Limitations

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Known Issues and Limitations

The following list of known issues and limitations are in the current versions of Sales Document Consolidation.

For the most current information about the latest version, see the Readme file that is included with the installation file.

  • Alternate/Modified Forms and Reports window

    When you use this window to select to use the alternate window for any Binary Stream program, you can usually see which Microsoft Dynamics GP windows have alternate Binary Stream windows.

    For example, when you set Product to Sales Doc Consolidation, you can see all the modules and windows where you can select the Binary Stream window.

    However, a known issue within Microsoft Dynamics GP prevents the list from showing all the windows where an alternate window for a program is available.

    If you have multiple programs that have an alternate window for the same Microsoft Dynamics GP window and you have already selected the alternate window for one of the programs, the list of windows for a different program does not show all the current windows that have an alternate window.

    For example, you have two Binary Stream programs installed, Multi-Entity Management and Property Management. In the Alternate/Modified Forms and Reports window, you already selected to use the alternate Multi-Entity Management window for the Receivables Transaction Entry window. When you set Product to Property Management, the Receivables Transaction Entry window does not appear in the list for you to select the alternate window.

    To be able to see all windows for a particular program, in the Alternate/Modified Forms and Reports window, set Product to All Products. You can then expand the modules to see which windows have the alternate window you want to use. Closed View image.

See also

What's New or Changed

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Concepts

Articles within this category provide background and processing information on features within SDC.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Installing and Updating Sales Document Consolidation

Who Performs the Installation?

A system administrator (or system owner) should install and configure the software in the Microsoft Dynamics GP environment.

Typical installation tasks include the following:

  • Downloading the software files
  • Extracting the files from the compressed (zipped) folder
  • Installing the software in Windows
  • Installing the program in Microsoft Dynamics GP
  • Registering the software
  • Enabling alternate forms and reports
  • Setting up user access to forms and reports
  • Setting up shortcuts to software windows

Installation Documentation

To install or update Sales Document Consolidation, visit the Binary Stream Portal (https://portal.binarystream.com/) External link , and review the installation documentation.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up Sales Document Consolidation

Who Performs the Setup?

After implementation, a system administrator (or system owner) typically takes over the day-to-day system and setup adjustments for the software in your Microsoft Dynamics GP environment.

Caution: Make sure that users do not enter transactions while you change setup options. If transactions are entered during the time you change the setup options, the integrity of the transaction data might be compromised.

Tip: As a best practice, make any changes to the setup options when all users are logged off. For example, notify all users a few days in advance indicating that changes to the system will be made and that the system is not available during that specified time frame.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Alternate or Custom Windows

An alternate or custom window is a standard Microsoft Dynamics GP window that has additional boxes or buttons that are specific to a program that integrates with Microsoft Dynamics GP. When you use the alternate window to enter information specific to the program, the data is saved in the following tables:

  • Standard Microsoft Dynamics GP table
  • Binary Stream parallel table

For some windows, if an alternate window is not used, an extra window for the program opens so that you can enter specific data for the program.

Caution: If the alternate window is not used or the data integration is performed only to the Microsoft Dynamics GP table, data is not saved to the parallel table, which can compromise your data or cause functionality issues.

To be able to use an alternate (or custom) window, the system administrator must select to use the alternate window in the Alternate/Modified Forms and Reports window.

Notes:

  • If you are not able to use the correct window for Sales Document Consolidation, you cannot correctly enter and reuse data or use the functionality in Sales Document Consolidation.
  • For some third‑party programs , the alternate window for Sales Document Consolidation is not available due to conflicts. For programs commonly used with Sales Document Consolidation, an extra window option exists. In these cases, use the alternate window for the third-party program.

    • If an extra window does not exist, contact Binary Stream to discuss possible options.

Security for Alternate Windows

Ensure that you set security for all alternate windows for the modules that you use. If you do not set the security, data integrity and security issues might occur.

For information on setting security, see Setting Up User Security.

See also

Alternate or Custom Reports

Extra Windows

Using Alternate Forms and Reports

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Alternate or Custom Reports

An alternate or custom report is a standard Microsoft Dynamics GP report that has additional information that is specific to a program that integrates with Microsoft Dynamics GP. When you use the alternate report to display information specific to the program, the information is from the following tables:

  • Standard Microsoft Dynamics GP table
  • Binary Stream parallel table

You can use Report Writer to customize a standard Microsoft Dynamics GP report or a Sales Document Consolidation alternate report so that the report shows all the data you want to see.

To be able to use an alternate (or custom) report, the system administrator must select to use the alternate report in the Alternate/Modified Forms and Reports window.

Security for Alternate Reports

Ensure that you set security to all alternate reports for the modules that you use. If you do not set the security, data integrity and security issues might occur.

For information on setting security, see Setting Up User Security.

See also

Alternate or Custom Windows

Extra Windows

Using Alternate Forms and Reports

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Extra Windows

An extra window is a secondary window that opens when a standard Microsoft Dynamics GP window is opened. You use the extra window to enter and save information for the transaction that is specific to the program. The information from the extra window is then saved in the parallel table and is used to create functionality.

Extra windows are used in the following situations:

  • The alternate window is assigned to another program.

    • Note icon. Note: Extra windows are not available for every alternate window - only windows in which conflicts occur.

  • Certain Microsoft Dynamics GP modules that are supported only use extra windows.

The extra window always opens when the standard Microsoft Dynamics GP window is opened. You can select OK to close the extra window. However, as a best practice, do not close the extra window directly. Instead, when you are finished with the main Microsoft Dynamics GP window, close it and the extra window will also close.

Security for Extra Windows

Ensure that you set security to all extra windows for the modules that you use. If you do not set the security, the extra window does not appear and data integrity and security issues might occur.

For information on setting security, see Setting Up User Security.

See also

Alternate or Custom Windows

Alternate or Custom Reports

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


About Common Window Buttons

Many of the windows include buttons described only in this section to reduce repetition in the document. For more information on standard features that are used in the windows throughout Microsoft Dynamics GP, see the article named Common window elements in the Microsoft Dynamics GP documentation.

Button Name | Icon | Description
Cancel |  | Closes the window without saving any changes.
Clear |  | Clears all boxes in the window.
Copy |  | Copies the selected data, or all data in the window, to the clipboard.
Delete |  | Removes the current record from its associated table. Deletes the current record.
Expansion | Expansion Arrow icon. | Opens the expansion window associated with the field or option.
Find |  | Opens the associated find window.
Lookup |  | Opens the associated Lookup window for a field.
Note |  | Opens the associated note window for a field.
OK |  | In a setup window, saves the data to its associated table. In an Inquiry, closes the window. You do not usually select OK to close a window, except when in an Inquiry window.
Print |  | Prints the report associated with the window.
Redisplay |  | Updates the view of the contents in the window.
Save |  | In a Cards or Maintenance window, saves the data or record to its associated table.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating Reports

When creating your own reports, you can get original SOP data from Binary Stream data tables.

Use Crystal Reports or Report Writer to create reports for the consolidated documents:

BSSI_SOP_HDR_WORK

Display Name: BSSI_SOP_HDR_WORK

Physical Name: B0310100.

BSSI_SOP_Commission_WORK_HIST

Display Name: BSSI_SOP_Commission_WORK_HIST

Physical Name: B0310101.

BSSI_SOP_Payment_WORK_HIST

Display Name: BSSI_SOP_Payment_WORK_HIST

Physical Name: B0310103.

BSSI_SOP_Process_Holds_WORK_HIST

Display Name: BSSI_SOP_Process_Holds_WORK_HIST

Physical Name: B0310104.

BSSI_SOP_Tax_WORK_HIST

Display Name: BSSI_SOP_Tax_WORK_HIST

Physical Name: B0310105.

BSSI_sopUsrDefWorkHist

Display Name: BSSI_sopUsrDefWorkHist

Physical Name: B0310106.

BSSI_SOP_LINE_WORK

Display Name: BSSI_SOP_LINE_WORK

Physical Name: B0310200.

BSSI_SOP_Serial_Lot_WORK_HIST

Display Name: BSSI_SOP_Serial_Lot_WORK_HIST

Physical Name: B0310201.

BSSI_SOP_LINE_CMT_WORK_HIST

Display Name: BSSI_SOP_LINE_CMT_WORK_HIST

Physical Name: B0310202.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Calculating Taxes for a Consolidated Invoice

Taxes for a consolidated invoice are calcuated as follows for different situations:

  • For a line item that is taxable, has a tax schedule, and all taxes are automatically calculated in GP, when the invoices are consolidated, the taxes are recalculated based on the tax schedule for the item.
  • When all sales taxes are calculated manually in the SOP document header in GP, and the sales tax schedule is blank at the item level for all line items in GP, then as the invoices are consolidated, taxes are recalculated based on the tax schedule for the SOP document header.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Processing a Hold

If the Hold ID is set up in the Sales Order Processing Setup window, the consolidated document includes the hold.

After the consolidation is processed, a report is compiled to show the results of the consolidation. The reports shows all documents, both consolidated and not consolidated.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Workflows and Procedures

Articles within this category provide step-by-step instructions for using a feature. These instructions tend to be window based.

Workflows provide overall instructions on how to use a feature, which include setup and processing instructions. Workflows often direct you to other window-specific instructions.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Using the Area Page

You can get direct access to the SDC custom menus from the SDC area page.

  • In your Microsoft Dynamics GP Home area page, in the Navigation Pane, select the tab for the BSSI program you want to use.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up Window Shortcuts

You can set up shortcuts to SDC windows in the Microsoft Dynamics GP Navigation Pane.

Note icon. Note: After you update the software, you might have to recreate your shortcuts.

To create a shortcut to a window, follow these steps:

  1. On the upper-right corner of the Microsoft Dynamics GP window, select Layout [image], and select Navigation Pane to show the Navigation pane on the left side of the main window.
  2. In the Navigation pane, expand the Shortcuts folder so you can see the items below it.
  3. Right-click the Shortcuts folder and select Add > Folder.
    A folder named New Folder appears below the Shortcuts folder.
  4. Rename the new folder, by right-clicking it and selecting Rename.
    For example, rename the folder to Sales Doc Consolidation.
  5. Right-click on the new folder and select Add > Add Window.
  6. In the Add Window Shortcut window, in the Available Windows list, expand the Sales Doc Consolidation node to show all of the Microsoft Dynamics GP series.
  7. For each SDC window to which you want to add a shortcut, do the following:
    1. Expand the series node.
    2. Select the window name.
    3. Select Add.
  8. When you have finished adding shortcuts, select Done.
  9. Go to the Navigation pane, and expand the new folder to see the window shortcuts you added.

Tip: For system administrators, it is useful to add shortcuts to the BSSI Installation Wizard, BSSI Registration, and the BSSI About Box windows. When you add a shortcut for a window, you can find these windows under the Sales Doc Consolidation node, and then under the Project series.

If you already have a window open, you can create a shortcut directly from the open window:

  1. Select the window.
  2. From File, select Add to Shortcuts.
    The new shortcut appears under the root folder of the Navigation pane.
  3. Drag the shortcut to the folder where you want the shortcut to appear.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Set Up Shortcut for the Consolidation ContractNum Setup Window

To access the Consolidation ContractNum Setup window, you must set up a shortcut.

To set up a shortcut for this window, follow these steps:

  1. Review the steps for Setting Up Windows Shortcuts.
  2. Open the Add Window Shortcut window.
  3. In the Available Windows list, expand Sales Doc Consolidation, and then expand Project.
  4. Select the window named Consolidation ContractNum Setup, and select Add.

  5. Select Done.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up a Parent-Child Relationship

To set up a parent-child relationship, follow these steps:

  1. Open the Parent Child Relationships window (Cards > Sales Document Consolidation > Parent Child Relationships).
  2. Select a Parent Customer ID.
  3. In the scrolling window , select a Child Customer ID to add individual child customer records.
    Or select Select Children to open the Select Children window were you can add a range of child customer records.
  4. Select Save.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Consolidating Sales Documents

To consolidate sales documents, follow these steps:

  1. Open the Consolidate Sales Documents utility (Tools > Utilities > Sales Document Consolidation > Consolidate Sales Documents).
  2. Select the SOP Type.
    When the SOP Type is Fulfillment Order, only documents with the status set to Ready to Print Picking Ticket appear in the scrolling window.
  3. Select a Batch Number. Or create a batch.
  4. Select the other ranges for displaying the records, and select Redisplay.
  5. In the scrolling window, select the documents that you want to consolidate, and select Consolidate.

After the consolidation finishes, a report that shows the results appears. The report displays all document, both consolidated and not consolidated.

When Enable Parent Child Consolidation is selected on the Sales Document Consolidation Setup window, then all child and parent documents are consolidated into one parent document.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Restoring Sales Documents

To restore a consolidated sales document to the orignal documents, follow these steps:

  1. Open the Restore Sales Documents window (Tools > Utilities > Sales Document Consolidation > Restore Sales Documents).
  2. Select the SOP Type.
  3. Select the SOP Number.
  4. Select the Batch Number. Or create a batch to store the original/consolidated documents..
  5. Select Restore.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Customizing List View Settings

Available as of Microsoft Dynamics GP 2015 R2.

You can customize the columns that appear in the list view for the following windows:

  • Consolidate Sale Documents
  • Restore Sales Documents

To customize the columns that appear in the list view of a window, follow these steps:

  1. Open the User Preference window from one of the windows prior to these steps.
  2. For each Column Name, select or clear the Display check box to show or hide the column from the list view.
  3. Select the line for the Column Name and select an arrow button to move the column up or down or to the top or to the bottom of the list.

    4. Repeat this step for each Column Name that you want to move up or down.

  4. In Sort By, select the default sort order of the list view.
  5. To save the list view setting, select OK.

    6. Tip: You can revert to the original default column order by selecting Default.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Windows

Articles within this category provide information about the functionality of the windows within SDC, including fields and buttons.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Document Consolidation Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > Sales Document Consolidation > Sales Document Consolidation Setup

Use this window to specify the criteria by which to consolidate (or merge) documents.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Consolidation ContractNum Setup: Overview

Button showing that window Overview page is currently viewed.

Access this window using a shortcut that you create

Use this window to set how the contract number is consolidated.

See also

Set Up Shortcut for the Consolidation ContractNum Setup Window

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Parent Child Relationships: Overview

Button showing that window Overview page is currently viewed.

Cards > Sales Document Consolidation > Parent Child Relationships

Use this window to set up parent-child relationships between customers. These relationships are used in the sales document consolidation process only when Enable Parent Child Consolidation is selected on the Sales Document Consolidation Setup window.

See also

Setting Up a Parent-Child Relationship

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Select Children: Overview

Button showing that window Overview page is currently viewed.

Cards > Sales Document Consolidation > Parent Child Relationships > Select Children button

Use this window to select a range of child customer records to create a relationship with the parent customer record.

See also

Setting Up a Parent-Child Relationship

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Customer Maintenance: Overview

Button showing that window Overview page is currently viewed.

Cards > Sales > Customer Maintenance

Use this SDC alternate window to be able to see the Consolidate by Document Date check box.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Transaction Entry: Overview

Button showing that window Overview page is currently viewed.

Transactions > Sales > Sales Transaction Entry

Use this window to view a consolidated document.

From this window, you can open the Consolidated Sales Documents Inquiry window (Additional > Consolidated Sales Documents Inquiry or select the expansion Expansion Arrow icon. button next to Document No.), where you can view the original documents contained in the selected and unposted consolidated SOP document.

You can also open the Project Tracking Distribution window (Additional > Project Distribution). When sales documents are consolidated based on the consolidation criteria, the new sales docment should have a project account distribution for each sales line item as specified on each sales document before consolidation.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Transaction Inquiry Zoom: Overview

Button showing that window Overview page is currently viewed.

Inquiry > Sales > Transaction by Document > select consolidated document and select Document Number link
Inquiry > Sales > Sales Documents, select consolidated document and select Document Number link

Use this alternate window to view a consolidated document.

You can open the Consolidated Sales Documents Inquiry window by selecting the second expansion Expansion Arrow icon. button next to Document No.. You can then view the documents contained in the selected consolidated document. Only the data for an unposted consolidated document appear.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Consolidated Sales Documents Inquiry: Overview

Button showing that window Overview page is currently viewed.

Inquiry > Sales Document Consolidation > Consolidated Sales Documents Inquiry

Use this window to view one or more consolidated documents and their original component documents. You can sort the displayed consolidated documents by a specified range or by columns.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Consolidated Sales Documents Inquiry Zoom: Overview

Button showing that window Overview page is currently viewed.

Inquiry > Sales Document Consolidation > Consolidated Sales Documents, double-click document line in the scrollign window

Use this window to view the details of the SOP document that you selected from the Consolidated Sales Documents Inquiry window. The details that appear depend on whether you selected Document or Original for the type of details to display.

This window is similar to the Microsoft Dynamics GP Sales Transaction Inquiry window but has fewer data boxes. The Distributions or Commissions buttons has the same funcationality as in GP.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Consolidate Sale Documents: Overview

Button showing that window Overview page is currently viewed.

Tools > Utilities > Sales Document Consolidation > Consolidate Sales Documents

Use this window to consolidate (or merge) selected sales documents.

When the documents are consolidated, the originating SOP numbers are copied into the header or line comment of the new consolidated SOP Number.

See also

Consolidating Sales Documents

Calculating Taxes for a Consolidated Invoice

Processing a Hold

Customizing List View Settings

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


User Preference: Overview

Button showing that window Overview page is currently viewed.
Tools > Utilities > Sales Document Consolidation > Consolidate Sales Documents > User Preference button
Tools > Utilities > Sales Document Consolidation > Restore Sales Documents > User Preference button

Available as of Microsoft Dynamics GP 2015 R2.

Use this window to show or hide columns that are displayed in the list view. You can also change the column order and set the default sort order of the list view.

The list view changes are customizable for each individual user and each window for which the user preferences are available.

See also

Customizing List View Settings

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Restore Sales Documents: Overview

Button showing that window Overview page is currently viewed.

Tools > Utilities > Sales Document Consolidation > Restore Sales Documents

Use this window to restore documents that have been consolidated.

See also

Restoring Sales Documents

Customizing List View Settings

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


About Binary Stream Software Inc., Trademarks, and Disclaimers

Binary Stream is an award-winning, Microsoft Gold certified partner that develops enterprise-grade, add-on software to enhance Microsoft Dynamics 365 Finance, Dynamics 365 Business Central, and Dynamics GP.

As a 7-time President's Club award winner and frequent ISV of the year finalist, Binary Stream is among the top 5% of Microsoft Dynamics partners worldwide and continues to be a leading solution provider to customers in the finance, healthcare, hospitality, real estate, manufacturing telecom, and software industries.

Covering critical functions including subscription billing automation, lease administration, multi-entity management, and supply chain optimization, our solutions have supported thousands of users in over 30 countries.

Copyright

Copyright © 2025 Binary Stream Software Inc. Published in Canada. All rights reserved.

Intellectual Property

This document does not provide you with any legal rights to any intellectual property in any Binary Stream product.

Your right to copy this documentation is limited by copyright law and the terms of the software license agreement. As such, you may only copy and use this document for your internal, reference purposes.

Limitation of Liability

Binary Stream Software Inc. assumes no responsibility or liability for any errors or inaccuracies that may appear in this manual. Information and views expressed in this document may change without notice. Examples depicted herein are provided for illustration only.

Trademarks

Microsoft, Microsoft Dynamics, Dexterity, Excel, Outlook, SQL Server, and Windows are registered trademarks of the Microsoft group of companies. All other trademarks are the property of their respective owners, including product names for Binary Stream Software.

The names of companies, products, people and/or data used in window illustrations and sample output are fictitious and are in no way intended to represent any real individual, company, product, or event, unless otherwise noted.

Warranty Disclaimer

Binary Stream Software Inc. disclaims any warranty regarding any sample code contained in this documentation, including the warranties of merchantability and fitness for a particular purpose.

License Agreement

Use of this product is covered by a license agreement provided by Binary Stream Software Inc. If you have any questions, please call the Binary Stream office at +1.604.522.6300.

Support Versions

Sales Document Consolidation for Microsoft Dynamics GP is supported in Canada and the United States.

Last updated: Wednesday, December 17, 2025

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support

If you require support, or want the latest information about your software, visit the Binary Stream Portal (https://portal.binarystream.com/) External link. You can access the following information and services from the Binary Stream Portal:

  • Product information and downloads - provides the latest product information and software downloads
  • Knowledge base - provides you with solutions to common issues that customers experience
  • Frequently asked questions - provides you with answers to frequently asked general questions about Binary Stream and Binary Stream products
  • Help desk - provides you with a way to submit new support cases for issues that you experience and cannot find a solution; you can also update your existing support cases

For sales and purchasing information, visit www.binarystream.com [image] .

For more information about Binary Stream support, review the following:

  • Customer support policy
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Tips for Using the Documentation

To search for the content you want, use one of the following options:

  • Select the Contents tab, and browse through the article names.
  • Select the Index tab, and type keywords for content that you want.
  • Use the Search box to search for keywords or phrases.
    Tip: To search for a phrase, put quotation marks around the phrase. For example, "big red car".

Images within the Documentation

Many of the images that appear in the documentation are smaller than the actual size. To view the full-size of an image, select the image. Selecting the full-size image closes it and returns you to the content you are reviewing.

For example, select the following image of the Binary Stream Portal to see the full-size version of the image:

Note icon. Note: You might have to make the size of your window larger to be able to see the full-size image properly.

Tip: For large images, maximize the size of the window before you select the image to view it.

Videos within the Documentation

Some articles include videos that provide more information about a particular setting or a task. When you select the link to watch a video, the video opens in a new web browser tab or window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Accessing the Extra Windows for All Binary Stream Programs

For the Microsoft Dynamics GP 2016 Web Client, Microsoft introduced a change such that only one Microsoft Dynamics GP window can be active at a time. So if you are not using the alternate window for the Binary Stream program, the extra window is not visible. Instead, the extra window is hidden behind the currently active window.

Use one of the following methods to access the Binary Stream extra window:

  • In the active window, select the Additional button, and then select the extra window you want to make active.
  • In the Web client Navigation pane, select the Window Search [image] button, which opens the Search for a Form or Report window. In the search window, select the extra window you want to make active.

After you select the extra window, it becomes the active window and appears in front of the main Microsoft Dynamics GP window.

See also

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


About Binary Stream Dialog

Use this window to view the following information:

  • Binary Stream head office address and support contact
  • Microsoft Dynamics GP version number
  • Microsoft SQL Server version number
  • List of installed Binary Stream programs and their information

Tip: To print a report about the Binary Stream programs that you have installed, select Print.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Integrations with Other Binary Stream Programs

Sales Document Consolidation currently integrates with the following Binary Stream programs:

  • While eMailer Manager does not explicitly integrate with any specific Binary Stream program, it is compatible with all Binary Stream programs.
  • Multi-Entity Management (MEM)
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Examples

Articles within this category provide examples on a feature or processing information in SDC.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Documentation for Sales Document Consolidation

Welcome to the documentation for Sales Document Consolidation for Microsoft Dynamics GP.

The documentation provides information in the following categories:

  • Installation
  • Concepts
  • Examples
  • Workflows and Procedures
  • Windows
  • Integration

In the Contents tab, a book icon representing each category is available. Expand a book to view the articles within the category. If a book does not appear for a category, information within the category is not available for SDC.

For tips on how to find the content you want, see Using the documentation.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Using Alternate Forms and Reports

To be able to use the windows and reports from Sales Document Consolidation in the Microsoft Dynamics GP modules that you have purchased and registered, you must enable the alternate SDC window and reports.

To use the alternate windows and reports, follow these steps:

  1. In Microsoft Dynamics GP, open the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).
  2. Specify an ID and Description for the set of alternate forms and reports that you are creating for your users.
    For example, in ID, type SDC_USER and in Description, type Alternate forms and reports for SDC.
  3. In Product, select Sales Doc Consolidation.

    4. Note icon. Note: A known issue within Microsoft Dynamics GP prevents the list from showing all the windows where an alternate window for a program is available. For more information, review the Known Issues and Limitations.

  4. To use the SDC alternate forms instead of the Microsoft Dynamics GP version, do the following:
    1. In Type, select Windows.
    2. To display windows for a particular Microsoft Dynamics GP series, in Series, select the series you want to see.
    3. In Alternate/Modified Forms and Reports List, expand each Microsoft Dynamics GP series name, and then expand the window name.
    4. For each window where you want to use the SDC alternate form instead of the Microsoft Dynamics GP version, select the Sales Doc Consolidation option.
      For example, select the SDC alternate version of the window in the selected Microsoft Dynamics GP series.
      Tip: To change to use all SDC alternate forms in a single action, set the Select box to Sales Doc Consolidation, and then select Change All.
  5. To use the SDC alternate reports instead of the Microsoft Dynamics GP version, repeat the previous step with Type set to Reports.
    For example, select the SDC alternate version of the report in the selected Microsoft Dynamics GP series.
  6. When you are finished, select Save.
  7. Repeat these steps for each Microsoft Dynamics GP series for which you purchased the corresponding module.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Document Consolidation Installation Overview

Review this information for installing the Binary Stream program in your Microsoft Dynamics GP environment. When you install the latest version of Sales Document Consolidation (SDC), you perform the following activities:

  • Downloading and extracting the installation files
  • Uninstalling the previous version and exporting modified forms and reports
  • Installing the latest version on Windows and in GP
  • Registering your software and importing modified forms and reports

Also, you can review information on shortcut and security setup, troubleshooting, and removing SDC.

Only a qualified and experienced Microsoft Dynamics GP consultant should install and configure third-party software for Microsoft Dynamics GP. If your authorized reseller cannot install this software, Binary Stream Software can recommend a suitable consultant.

Important: Before you begin the installation and as a best practice, back up your environment (including all Microsoft Dynamics GP folders and Microsoft Dynamics GP databases). If any issues arise during installation, the backup copy of your environment provides a starting point for restoring your environment.

Note icon. Note: The Pathnames window is not currently supported.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up User Security

For all users, except the system administrator (sa), you must set up a security task and a security role that gives user access to custom Sales Document Consolidation windows (forms) and reports.

To set up security for a custom window, complete the following activities:

  1. Create a security task.
  2. Create a security role to allow access to the security task.
  3. Assign a security role to a user.

Note icon. Note: Depending on your security requirements, you might want to setup several security tasks.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Lookup window: Buttons

Cancel

Closes the window.

Redisplay

Updates the scrolling window or list view.

Select

Selects the currently-highlighted record, closes this window, and updates the previous window with the information for the selected record.

You also can double-click the record in the scrolling window to select it.

Sort

Sorts the information in the window according to the column heading shown on the button.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Lookup window: Fields

Find by

Specify the name or identifier of the record you want. When you press Tab on the keyboard, the list scrolls to the record that most closely matches the text you type. The label for this field changes and is based on the type of data you are looking up.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Lookup window

Button showing that window Overview page is currently viewed.

lookup button

Use this window to select the record you want to view or edit. The fields, buttons, and list view colunms differ based on the type of data you are looking up.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Consolidation ContractNum Setup: Buttons

Cancel

Cancels all changes and closes the window.

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Consolidation ContractNum Setup: Fields

Do Not Use Contract Number

Select to ensure that the contract is not replaced with the customer purchase order number in the consolidated SOP invoice.

When this option is cleared, the contract number is replaced with the customer purchase order number in the consolidated SOP invoice.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Parent Child Relationships: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Delete

Deletes the current record.

Save

Saves the record and any changes to the window.

Select Children

Opens the Select Children window, which allows you to select a range of child customer records to associate with the parent recrod.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Parent Child Relationships: Fields

Parent Customer ID

Select a parent customer ID.

Parent Name

Displays the name of the parent customer ID.

Scrolling Window

Child Customer ID

Select a child customer ID for the selected parent customer ID.

Name

Dispalys the name of the child customer ID.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Select Children: Buttons

Cancel

Cancels all changes and closes the window.

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Select Children: Fields

From

Select the child customer record from which to start the range of child customer records to associate with the parent record.

Range

Select the range by which to select the child customer ID records: Customer ID, Name, or Class ID.

To

Select the child customer record to which to end the range of child customer records to associate with the parent record.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Document Consolidation Setup: Buttons

Cancel

Cancels all changes and closes the window.

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Document Consolidation Setup: Fields

Additional Range Inquiry

Select Range By Doc Type to include the Document Type option in the Range By box on the Inquiry windows.

When this option is cleared, the Document Type option does not appear as a Range By option on the Inquiry windows.

Copy Documents To Comment ID Header

Select to copy and paste the SOP Number Customer PO Number, or Originating SOP Numbers into the Comment ID header in each SOP document.

You can also specify a Label, along with an option to Insert Documents to the Beginning or End of the Comment ID header.

The Comment ID has a maximum limit of 500 characters. Comment values greater than 500 characters are truncated.

Copy Documents To Comment ID Line

Select to copy and paste the SOP Number Customer PO Number, or Originating SOP Numbers into the Comment ID line in each SOP document.

You can also specify a Label, along with an option to Insert Documents to the Beginning or End of the Comment ID line.

The Comment ID has a maximum limit of 500 characters. Comment values greater than 500 characters are truncated.

Document ID

The boxes in this area are not available when Multi-Entity Management is installed and used. To get the document type IDs, use the Entity Document Type Setup window in Multi-Entity Management.

Back Order ID

Select the type of document to be used for consolidated back order documents.

Fulfillment Order ID

Select the type of document to be used for consolidated fulfillment order documents.

Invoice ID

Select the type of document to be used for consolidated invoice documents.

Order ID

Select the type of document to be used for consolidated order documents.

Quote ID

Select the type of document to be used for consolidated quote documents.

Return ID

Select the type of document to be used for consolidated return documents.

Enable Parent Child Consolidation

Select to consolidate all the child and parent documents into one parent document.

This option is selected, the options under New Document Criteria are not available.

Encore Project Tracking

Select to enable Encore Project Tracking.

The Encore Project Tracking solution allows you to maintain a list of projects that can be later assigned to Microsoft Dynamics GP transactions’ revenue and expense GL accounts. The project information is then tracked against project budgets or used for reporting and analysis. In any SOP document, you can open the Encore Project Tracking Distribution window. In this window, you can review the transaction distribution and assign projects to GL accounts.

Extender

Select to turn on integration with Microsoft Dynamics GP Extender, the tool used to customize Microsoft Dynamics GP windows. Available only when Microsoft Dynamics GP Extender is installed.

When selected, the new consolidated sales document has the information saved in the Extender windows associated with the SOP document, including header and SOP lines.

When the consolidated document is restored, the original information is updated in the Extender windows according.

Note icon. Note: When the Extender integration is used, the best practice for the consolidation is to select the Separate Line Items option. In this case, the SOP lines are not consolidated, and the Extender information from SOP lines are not lost.

Include Consolidated Documents

Select to consolidate previously-consolidated documents. When the Range By is set to Document Type, you can specify a range of documents by invoice type in the Sales Doc Consolidation window.

New Document Criteria

The options in this area are available when Enable Parent Child Consolidation is cleared.

If you do not select any of the options in this area, the documents that you select are consolidated into one document. When you select one or more options, the documents that you select are consolidated into several documents based on the criteria that you selected.

For example, Document Type is selected. The documents that are the same type are consolidated into one document. Documents that are of different type are not consolidated into the same document.

  • New documents: When the customer number or currency are different in the documents that you want to consolidate, a new document is created, which ensures that those document fields are included in the final consolidated document.
  • New lines: When the item number, currency, unit of measure, or unit price are different in the documents that you want to consolidate, a new line in the consolidated document is created, which ensures that the different line items are not consolidated.

Select the criteria by which to consolidate documents:

  • Document Type
  • Requested Ship Date
  • Payment Terms
  • Bill To Address
  • Ship To Address
  • Territory
  • Sales Person
  • Document Date
  • Priority
  • Confirmation
  • Ordered by
  • Text Field 4
  • Text Field 5

Parent Child Consolidation

Select the origin of the parent-child relationship you want to use:

  • Use Parent/Child Relationship: Uses the parent-child relationship that is set up in the Parent Child Relationships window.
  • Use National Account: Uses the parent-child relationship from Microsoft Dynamics GP National Account.

Available when Enable Parent Child Consolidation is selected.

Note icon. Note: For the parent-child consolidation, it is assumed that the parent-child relationships are set up in the same manner:

  • The Ship To Address for the child should exist in the parent, otherwise it is overwritten with the Ship To Address of the parent from the sales line.
  • If the Sales Tax option is set based on customers, the parent and child should have the same tax schedule ID. Taxes do not need to be recalculated.
  • Commissions are from the individual child sales documents.

Preference

Disable Concurrent Use

Select to prevent concurrent use of the consolidate and restore processes. when you select this option, you can avoid the following situations:

  • Two users consolidate documents at the same time in the same system, which can result in invoices that are merged incorrectly.
  • One user consolidates documents, while a different user transfers an order to an invoice in the same system, which can result in the newly-transferred invoice being merged as well.

Separate Line Items

Select to keep document lines that show the same item as separate lines. Clear this option to consolidate lines that show the same items.

Note icon. Note: You must select this option to include PO Commitment for sales document information in a consolidated document.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Customer Maintenance: Fields

Consolidate by Document Date

Available in Microsoft Dynamics GP 2015 R2 and earlier.

Select to be able to consolidate documents for the customer record by document date. Whether this option is selected or cleared affects how documents are filtered and processed on the Consolidate Sales Documents window.

Available when Enable Document Date Consolidation on the Sales Document Consolidation Setup window is selected. When you create a new customer record, the default value is based on the Document Date in the New Document Criteria area on the Sales Document Consolidation Setup window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Consolidated Sales Documents Inquiry: Buttons

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entries in the list view.

OK

Closes the window.

Redisplay

Updates the scrolling window or list view.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


> Consolidated Sales Documents Inquiry: Fields

Documents

Specify the range by which you want to display documents:

  • by Old Document
  • by Customer ID
  • by Document Type
  • by New Document Number
  • by Original Number
  • by Type
  • by User-Defined 2.

You can then select to show All documents in the scrolling window or specify a From/To range.

Document/Original

Determines the details of the documents that appear in the scrolling window:

  • Document: Displays the document that is part of the colsolidated document.
  • Original: Displays the original document from where the consolidated document was transferred.

Entity List View

Select one or more entities from those that you are allowed to access. When you select Redisplay, only the records associated with the selected entities appear in the list view. This list view is available only when Multi-Entity Management is installed and used.

Scrolling Window

Displays all documents that satisfy the criteria entered. When you double-click a line item, the Consolidated Sales Documents Inquiry Zoom window opens and shows the details of a component document.

The following columns appear in the scrolling window:

  • Doc. Type
  • Type ID
  • Old Document Number (the original document number)
  • Customer ID
  • Originating Total
  • Functional Total
  • New Document Number (the consolidated document number)
  • Parent Customer ID (displayed only when Enable Parent Child Consolidated is selected on the Sales Document Consolidation Setup window)
  • Original Type
  • Original Number
  • User Defined 1
  • User Defined 2
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


User Preference: Buttons

Cancel

Closes the window without saving the changes.

Default

Reverts all changes to the original default display of the list view.

Move Up/Move to Top/Move Down/Move to Bottom

Moves the selected column to the top of the list or the bottom of the list, or incrementally up or down one level at a time.

OK

Saves the changes that were made based on the user and the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


User Preference: Fields

Column Name

Displays the column name. You cannot edit the column name.

Display

Select to show the column in the list view. By default, this option is selected for all columns.

Clear the check box to hide the column from the list view.

Sort By

Select the default sort order of the list view. By default, the list view is sorted by the first column.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Consolidate Sale Documents: Buttons

Consolidate

Consolidates the selected documents.

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entries in the list view.

Redisplay

Updates the scrolling window or list view.

User Preference

Available as of Microsoft Dynamics GP 2015 R2.

Opens the User Preference window, where you can customize the columns that appear in the list view.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Consolidate Sale Documents: Fields

Batch Number

Select an existing batch number, or you can specify a batch number to create a batch.

If Multi-Entity Management is installed and used, when the consolidation process finishes, the batches have the following batch number convention, Batch Number_Entity ID. You must have access to the entity before a batch for the entity can be created. For example, the batch is Test, and entities 000, 100, and 200 are selected. The following batches are created: Test_000, Test_100, and Test_200. Also the original Test batch is deleted.

Date

Select a date to be the document date for a consolidated document, based on the document type.

For example, when the consolidated document is quote, this date is the document date and the quote date. Similary, when the consolidated document is invoice, this date is the document date and the invoice date.

When the date is empty, the document date from the first document selected for the consolidation is used

Exclude On-Hold Documents

Select to exclude the documents that are On Hold for the selected SOP type. When selected, only the documents that are not On Hold for the selected SOP Type appear in the scrolling window.

Leave the check box cleared (default setting) to include the documents that are On Hold for the selected SOP type. When this check box is cleared, all documents including documents On Hold for the selected SOP Type appear in the scrolling window.

SOP Type

Select the type of SOP document:

  • Quote
  • Order
  • Back Order
  • Fulfillment Order
  • Invoice
  • Return

Range By

Specify the range by which to display records:

  • by Document Number
  • by Document Date
  • by Customer ID
  • by Batch ID
  • by Territory
  • by Requested Ship Date
  • by Type
  • by User-Defined 2

From

Enter the start of a range of records to display.

To

Enter the end of the range of records to display.

Use Document Filter Table

Select to limit the number of documents that appear in the scrolling window to only the documents that are in the B0350100 table and that match the other search criteria you selected.

Entity List View

Select one or more entities from those that you are allowed to access. When you select Redisplay, only the records associated with the selected entities appear in the list view. This list view is available only when Multi-Entity Management is installed and used.

Scrolling Window

Displays all records that satisfy the selected criteria. The following columns appear:

  • Document No.
  • Document Type
  • Customer ID
  • Customer Name
  • Document Date
  • Document Amount
  • Batch Number
  • Territory
  • PO Number
  • Contact Person
  • Address 1
  • Phone Number
  • Requested Ship Date
  • Priority
  • Confirmation
  • Ordered by
  • Text Field 4
  • Text Field 5
  • Type
  • User-Defined 2
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Restore Sales Documents: Buttons

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entries in the list view.

Redisplay

Updates the scrolling window or list view.

Restore

Restores the selected consolidated documents to their original documents.

User Preference

Available as of Microsoft Dynamics GP 2015 R2.

Opens the User Preference window, where you can customize the columns that appear in the list view.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Restore Sales Documents: Fields

Batch Number

Select an existing batch number, or you can specify a batch number to create a batch.

If Multi-Entity Management is installed and used, when the consolidation process finishes, the batches have the following batch number convention, Batch Number_Entity ID. You must have access to the entity before a batch for the entity can be created. For example, the batch is Test, and entities 000, 100, and 200 are selected. The following batches are created: Test_000, Test_100, and Test_200. Also the original Test batch is deleted.

SOP Number

Select the merged SOP number. You can select only from the numbers to which you have access.

SOP Type

Select the type of SOP document:

  • Quote
  • Order
  • Back Order
  • Fulfillment Order
  • Invoice
  • Return

Entity List View

Select one or more entities from those that you are allowed to access. When you select Redisplay, only the records associated with the selected entities appear in the list view. This list view is available only when Multi-Entity Management is installed and used.

Scrolling Window

Displays all records that satisfy the selected criteria. The following columns appear:

  • Document No.
  • Document Type
  • Customer ID
  • Customer Name
  • Document Date
  • Document Amount
  • Batch Number
  • Territory
  • PO Number
  • Contact Person
  • Address 1
  • Phone Number
  • Type
  • User-Defined 2
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.